export const getDate = () => new Date().toISOString().slice(0, 10);

export const processGenerations = (data) => {
  const numRows = Object.keys(data.generations).length;
  let rows = [];

  for (let rowNum = 1; rowNum < numRows + 1; rowNum++) {
    const rowKey = String(rowNum);

    let classes = [
      `gen-${rowNum}`,
      rowNum <= 3 ? "flat" : null,
      rowNum > 4 ? "rotate" : null,
      data.generations[rowKey].some(cell => cell.name) ? null : "empty",
    ].filter((c) => c);

    rows.push({
      classes,
      colSpan: Math.pow(2, numRows - rowNum),
      width: 100 / data.generations[rowKey].length,
      cells: data.generations[rowKey],
    });
  }

  rows.reverse();

  return {
    rows,
    numGenerations: numRows,
  };
};
